//
//  FloatingImageDemoAppDelegate.m
//  FloatingImageDemo
//
//  Created by Andreas on 20.02.10.
//  Copyright 2010 Andreas Mayer. All rights reserved.
//

#import "FloatingImageDemoAppDelegate.h"

@interface FloatingImageDemoAppDelegate ()
@property (retain, nonatomic) AMFloatingImage *floater;
@end


@implementation FloatingImageDemoAppDelegate

@synthesize window;
@synthesize floater;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
	// default is no floating image
}

- (IBAction)chooseFloatingImage:(id)sender;
{
	NSInteger tag = [[(NSMatrix *)sender selectedCell] tag];
	switch (tag) {
		case 1: { // MacBook Pro
			self.floater.followCursor = NO;
			[self.floater close];
			NSImage *image = [NSImage imageNamed:@"poof1"];
			NSPoint center = NSMakePoint(image.size.width/2.0, image.size.height/2.0);
			self.floater = [[[AMFloatingImage alloc] initWithImage:image hotSpot:center] autorelease];
			self.floater.followCursor = YES;
			[self.floater orderFront:nil];
			break;
		}
		case 2: { // Circle
			self.floater.followCursor = NO;
			[self.floater close];
			NSImage *image = [NSImage imageNamed:@"selection-ring"];
			NSPoint center = NSMakePoint(image.size.width/2.0, image.size.height/2.0);
			self.floater = [[[AMFloatingImage alloc] initWithImage:image hotSpot:center] autorelease];
			self.floater.followCursor = YES;
			[self.floater orderFront:nil];
			break;
		}
		default:	{ // none
			self.floater.followCursor = NO;
			[self.floater close];
			self.floater = nil;
			break;
		}
	}
}


@end
