//
//  AMImageView.h
//  DeskFun
//
//  Created by Andreas on 28.12.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//
//	2005-05-18	Andreas Mayer
//	- added imageSize instance variable


#import <Cocoa/Cocoa.h>
#import "AMBorder.h"


@interface AMImageView : NSView {
	NSImage *image;
	float alpha;
	NSBitmapImageRep *animationImageRep;
	float animationSpeed;
	AMBorder imageBorder;
	NSSize imageSize;
}

- (id)initWithFrame:(NSRect)frame image:(NSImage *)theImage;

- (id)initWithFrame:(NSRect)frame;

- (NSImage *)image;
- (void)setImage:(NSImage *)newImage;

- (float)alpha;
- (void)setAlpha:(float)newAlpha;

- (BOOL)canAnimate;

- (float)animationSpeed;
- (void)setAnimationSpeed:(float)newAnimationSpeed;

- (AMBorder)imageBorder;
- (void)setImageBorder:(AMBorder)newImageBorder;

- (NSSize)imageSize;
- (void)setImageSize:(NSSize)newImageSize;

- (NSSize)minSize;


@end
